Bug 1678245 - CVE-2019-8377 tcpreplay: null pointer dereference in function get_ipv6_l4proto() in get.c [epel-all]
Summary: CVE-2019-8377 tcpreplay: null pointer dereference in function get_ipv6_l4prot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tcpreplay
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-18 11:04 UTC by Dhananjay Arunesh
Modified: 2019-03-29 19:14 UTC (History)
1 user (show)

Fixed In Version: tcpreplay-4.3.2-1.fc28 tcpreplay-4.3.2-1.fc29 tcpreplay-4.3.2-1.el6 tcpreplay-4.3.2-1.el7 tcpreplay-4.3.2-1.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-23 02:24:29 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-02-18 11:04:35 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Fedora Update System 2019-03-12 17:19:47 UTC
tcpreplay-4.3.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 2 Fedora Update System 2019-03-12 17:19:59 UTC
tcpreplay-4.3.1-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d689dd314

Comment 3 Fedora Update System 2019-03-12 17:20:15 UTC
tcpreplay-4.3.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 4 Fedora Update System 2019-03-12 17:20:25 UTC
tcpreplay-4.3.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 5 Fedora Update System 2019-03-12 17:20:41 UTC
tcpreplay-4.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 6 Fedora Update System 2019-03-12 22:42:49 UTC
tcpreplay-4.3.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 7 Fedora Update System 2019-03-12 22:59:42 UTC
tcpreplay-4.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 8 Fedora Update System 2019-03-12 23:02:00 UTC
tcpreplay-4.3.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 9 Fedora Update System 2019-03-12 23:41:13 UTC
tcpreplay-4.3.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 10 Fedora Update System 2019-03-13 10:34:23 UTC
tcpreplay-4.3.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 11 Fedora Update System 2019-03-13 10:36:09 UTC
tcpreplay-4.3.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 12 Fedora Update System 2019-03-13 10:37:13 UTC
tcpreplay-4.3.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 13 Fedora Update System 2019-03-13 10:38:11 UTC
tcpreplay-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 14 Fedora Update System 2019-03-13 15:36:21 UTC
tcpreplay-4.3.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d689dd314

Comment 15 Fedora Update System 2019-03-13 18:00:06 UTC
tcpreplay-4.3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 16 Fedora Update System 2019-03-13 19:08:23 UTC
tcpreplay-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 17 Fedora Update System 2019-03-13 19:16:15 UTC
tcpreplay-4.3.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 18 Fedora Update System 2019-03-14 18:51:12 UTC
tcpreplay-4.3.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 19 Fedora Update System 2019-03-23 02:24:29 UTC
tcpreplay-4.3.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-03-23 02:56:19 UTC
tcpreplay-4.3.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-03-29 02:10:56 UTC
tcpreplay-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-03-29 18:56:44 UTC
tcpreplay-4.3.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-03-29 19:14:06 UTC
tcpreplay-4.3.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.